<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#a3aa5bf60a033839df8b8805b38146488">activeList</a></td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#a3e3216a310f8eec58aff62fc668e8b13">aggregateInfo</a></td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#a6e5b706c9e37f9a69241e3e9ccfe3c92">allActive</a></td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#a42b6024ff17be5b61971645c5d70f77d">clearActiveBuffers</a>()</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#ac669a22fafff1a065cc494a7cd8f5204">combineMessages</a>(bool oddTimeFlag)</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#a278b3ad3565eff959820b9fb9dcf0c88">combiner</a></td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#a578807f2999216425a2910cc2694b7c6">dataManager</a></td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#aaad2c01de484998cc4e9fe873f076813">distributeOutMessages</a>(vector&lt; MESSAGE_TYPE, ALLOCATOR_TYPE &gt; *outMessages, uint_fast32_t countSS, int thread)</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#aa7496dad21bcd5054378e422b9402b84">executeVertex</a>(VERTEX_ITERATOR itVertex, uint_fast32_t pos, bool oddTimeFlag, vector&lt; MESSAGE_TYPE, ALLOCATOR_TYPE &gt; *outMessages)</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#a42287d44ed843399fd5b737463258c8b">getNumExternalMessages</a>()</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#ac3eb149b896d9bbfaf8c40e01557fd10">getNumHaltSysMessages</a>()</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#abb43275a67585d8ef87fdaec94fd0ca7">getNumIdleSysMessages</a>()</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#ad21fcd8b0c476ed16244d19eed55632d">getPastNumExternalMessages</a>()</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#a5c0662f6e8022a29daff3bad5a676974">init</a>(INIT_TYPE *initParams)</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#a47e99774abfc6b9a7cc2c33119501422">InsertActive</a>(uint_fast32_t *allPos, uint_fast16_t count)</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#a92c1255decc97a5dbd26de8b120d4cbc">isInitialized</a>()</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#adb12d4ed6acc19a5e6fae0e92180f40e">maxSS</a></td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#ac63d7a406a4752f1051cb2c79801ff80">numActive</a>()</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#a78405ca25e126c5ad12580e375caaab0">numHaltSysMessages</a></td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#a6302e0fb76f5651fbff09a3ada587d05">numIdleSysMessages</a></td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#a808d321e37606e55265bb464697dd42d">numLocalActive</a></td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#a9aaaf7def616b37eeb8e2c9635996212">processSystemMessages</a>(uint_fast32_t countSS)</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#a7b4c56fb19887194eaf25bf084ba2636">pushHaltMessage</a>()</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#acf97053d022f76a6ea93ad911c70eef0">reset</a>()</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#ad5ccf7feb85dd4f14c3ad2dd0d676281">setCombiner</a>(COMBINER_TYPE *cmb)</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#a33151b4744314334c8efc738031256cd">setDataManager</a>(SUBGRAPH_CLASS *dm)</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#a5c581855ff1181b6bd132ff297369c32">setMaxSS</a>(uint_fast32_t maxSSVal)</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#aad70c2b659b5455133c9737d1a16dab3">superstep</a>(uint_fast32_t countSS)</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglComputationManager.html#a27792701b8154ae3455d95672ee6e4f8">TIGLComputationManager</a>()</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglComputationManager.html#a9236d9a0cd5426f5a1cfbda0e0f53392">~TIGLComputationManager</a>()</td><td class="entry"><a class="el" href="classtiglComputationManager.html">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Mar 3 2015 18:17:04 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
